POST
https://api.cryptohopper.com/v1/strategy/{strategy_id}/changeimage
Replaces the image of one of the user's own strategies. The image is cropped to 600 by 430 pixels, stored as JPEG and its new URL is returned.
image is the image file encoded as base64. Needs a valid access token, but no specific scope.
Example request
curl -X POST "https://api.cryptohopper.com/v1/strategy/STRATEGY_ID/changeimage" \
-H "access-token: YOUR_ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{"image":"/9j/4AAQSkZJRgABAQAAAQABAAD..."}'
const response = await fetch('https://api.cryptohopper.com/v1/strategy/STRATEGY_ID/changeimage', {
method: 'POST',
headers: {
"access-token": "YOUR_ACCESS_TOKEN",
"Content-Type": "application/json"
},
body: JSON.stringify({
"image": "/9j/4AAQSkZJRgABAQAAAQABAAD..."
})
});
const data = await response.json();
import requests
response = requests.post(
"https://api.cryptohopper.com/v1/strategy/STRATEGY_ID/changeimage",
headers={
"access-token": "YOUR_ACCESS_TOKEN"
},
json={
"image": "/9j/4AAQSkZJRgABAQAAAQABAAD..."
},
)
data = response.json()
$ch = curl_init('https://api.cryptohopper.com/v1/strategy/STRATEGY_ID/changeimage');
curl_setopt_array($ch, [
CURLOPT_CUSTOMREQUEST => 'POST',
CURLOPT_RETURNTRANSFER => true,
CURLOPT_HTTPHEADER => [
'access-token: YOUR_ACCESS_TOKEN',
'Content-Type: application/json',
],
CURLOPT_POSTFIELDS => json_encode([
'image' => '/9j/4AAQSkZJRgABAQAAAQABAAD...',
]),
]);
$data = json_decode(curl_exec($ch), true);
Parameters
Headers
| Name | Type | Required | Description |
|---|---|---|---|
access-token |
string | Required | The OAuth access token of the user. |
Path parameters
| Name | Type | Required | Description |
|---|---|---|---|
strategy_id |
string | Required | ID of the strategy. |
Response
{
"data": "https://cdn.cryptohopper.com/images/strategies/user/369000_2026-09-25-14-02-11.jpg"
}